Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 10774)
@@ -903,4 +903,5 @@
          WRITE(numout,*) '      Surface roughness (m)                         rn_hsro        = ', rn_hsro
          WRITE(numout,*) '      Bottom roughness (m) (nambfr namelist)        rn_bfrz0       = ', rn_bfrz0
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -990,5 +991,6 @@
          !
       END SELECT
-
+      !
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
       SELECT CASE ( nn_stab_func )     !* set the parameters of the stability functions
@@ -1066,5 +1068,6 @@
          !
       END SELECT
-    
+      !
+      IF(lwp .AND. lflush) CALL flush(numout) 
       !                                !* Set Schmidt number for psi diffusion in the wave breaking case
       !                                     ! See Eq. (13) of Carniel et al, OM, 30, 225-239, 2009
@@ -1118,4 +1121,5 @@
          WRITE(numout,*) 'rl_sf   = ',rl_sf
          WRITE(numout,*)
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -1194,4 +1198,5 @@
             ELSE                        
                IF(lwp) WRITE(numout,*) ' ===>>>> : previous run without gls scheme, en and mxln computed by iterative loop'
+               IF(lwp .AND. lflush) CALL flush(numout)
                en  (:,:,:) = rn_emin
                mxln(:,:,:) = 0.05        
@@ -1204,4 +1209,5 @@
          ELSE                                   !* Start from rest
             IF(lwp) WRITE(numout,*) ' ===>>>> : Initialisation of en and mxln by background values'
+            IF(lwp .AND. lflush) CALL flush(numout)
             en  (:,:,:) = rn_emin
             mxln(:,:,:) = 0.05       
@@ -1211,4 +1217,5 @@
          !                                   ! -------------------
          IF(lwp) WRITE(numout,*) '---- gls-rst ----'
+         IF(lwp .AND. lflush) CALL flush(numout)
          IF(nn_timing == 2)  CALL timing_start('iom_rstput')
          CALL iom_rstput( kt, nitrst, numrow, 'en'   , en     ) 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 10774)
@@ -83,4 +83,5 @@
          WRITE(numout,*) '      npc call  frequency                 nn_npc    = ', nn_npc
          WRITE(numout,*) '      npc print frequency                 nn_npcp   = ', nn_npcp
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -154,5 +155,6 @@
          CALL ctl_stop( ' except for TKE, GLS or KPP physics, a convection scheme is',   &
          &              ' required: ln_zdfevd or ln_zdfnpc logicals' )
-
+      !
+      IF(lwp .AND. lflush) CALL flush(numout)
       !                               !* Background eddy viscosity and diffusivity profil
       IF( nn_avb == 0 ) THEN                ! Define avmb, avtb from namelist parameter
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 10774)
@@ -1214,4 +1214,5 @@
          IF(lwp) WRITE(numout,*) 'tra_kpp : KPP non-local tracer fluxes'
          IF(lwp) WRITE(numout,*) '~~~~~~~   '
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -1286,4 +1287,5 @@
          IF(lwp) WRITE(numout,*) 'trc_kpp : KPP non-local tracer fluxes'
          IF(lwp) WRITE(numout,*) '~~~~~~~   '
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -1384,4 +1386,5 @@
          WRITE(numout,*) '     max. mix. in interior convec.                 rn_difcon   = ', rn_difcon
          WRITE(numout,*) '     horizontal average flag                       nn_ave      = ', nn_ave
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -1410,4 +1413,6 @@
          ENDIF
       ENDIF
+    
+      IF(lwp .AND. lflush) CALL flush(numout)
       
 
@@ -1421,4 +1426,5 @@
          WRITE(numout,*) '     Constant value for unreso. turbul. velocity shear Vtc = ', Vtc
          WRITE(numout,*) '     Non-dimensional coef. for nonlocal transport      rcg = ', rcg
+         IF(lflush) CALL flush(numout)
        ENDIF
 
@@ -1438,4 +1444,5 @@
          IF(lwp) WRITE(numout,*) '          no horizontal average on avt, avmu, avmv'
          IF(lwp) WRITE(numout,*) '          only in very high horizontal resolution !'
+         IF(lwp .AND. lflush) CALL flush(numout)
          ! weighting mean arrays etmean, eumean and evmean
          !           ( 1  1 )                                          ( 1 )
@@ -1464,4 +1471,5 @@
       CASE ( 1 )                ! horizontal average 
          IF(lwp) WRITE(numout,*) '          horizontal average on avt, avmu, avmv'
+         IF(lwp .AND. lflush) CALL flush(numout)
          ! weighting mean arrays etmean, eumean and evmean
          !           ( 1/2  1  1/2 )              ( 1/2  1/2 )             ( 1/2  1  1/2 )
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 10774)
@@ -108,4 +108,5 @@
          IF(lwp) WRITE(numout,*) 'zdf_mxl : mixed layer depth'
          IF(lwp) WRITE(numout,*) '~~~~~~~ '
+         IF(lflush) CALL flush(numout)
          !                             ! allocate zdfmxl arrays
          IF( zdf_mxl_alloc() /= 0 )   CALL ctl_stop( 'STOP', 'zdf_mxl : unable to allocate arrays' )
@@ -396,7 +397,11 @@
             END DO
          END DO
-         WRITE(numout,*) 'zthick_0(jk =',jk,') =',zthick_0(2,2)
-         WRITE(numout,*) 'fsdepw(jk+1 =',jk+1,') =',fsdepw(2,2,jk+1)
+         IF(lwp) THEN
+            WRITE(numout,*) 'zthick_0(jk =',jk,') =',zthick_0(2,2)
+            WRITE(numout,*) 'fsdepw(jk+1 =',jk+1,') =',fsdepw(2,2,jk+1)
+         ENDIF
       END DO
+      
+      IF(lflush) CALL flush(numout)
 
       ! Surface boundary condition
@@ -429,5 +434,6 @@
       END DO
 
-      WRITE(numout,*) 'htc_mld(after) =',htc_mld(2,2)
+      IF(lwp) WRITE(numout,*) 'htc_mld(after) =',htc_mld(2,2)
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       ! Convert to heat content
@@ -491,4 +497,5 @@
             END DO
             WRITE(numout,*) '===================================================================='
+            IF(lflush) CALL flush(numout)
          ENDIF
       ENDIF
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 10774)
@@ -276,4 +276,5 @@
          WRITE(numout,*) '      Vertical eddy Visc. in the ML  rn_wvmix  = ', rn_wvmix
          WRITE(numout,*) '      Use the MLD parameterization   ln_mldw   = ', ln_mldw
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 10774)
@@ -797,4 +797,5 @@
          WRITE(numout,*) 'zdf_tke_init :  New tidal mixing case: force rn_emin = 1.e-10 and rmxl_min = 1.e-3 '
          WRITE(numout,*) '~~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 # else
@@ -825,4 +826,5 @@
          WRITE(numout,*)
          WRITE(numout,*) '      critical Richardson nb with your parameters  ri_cri = ', ri_cri
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -838,4 +840,5 @@
       IF( ln_mxl0 ) THEN
          IF(lwp) WRITE(numout,*) '   use a surface mixing length = F(stress) :   set rn_mxl0 = rmxl_min'
+         IF(lwp .AND. lflush) CALL flush(numout)
          rn_mxl0 = rmxl_min
       ENDIF
@@ -949,4 +952,5 @@
            ELSE                                     ! No TKE array found: initialisation
               IF(lwp) WRITE(numout,*) ' ===>>>> : previous run without tke scheme, en computed by iterative loop'
+              IF(lwp .AND. lflush) CALL flush(numout)
               en (:,:,:) = rn_emin * tmask(:,:,:)
               CALL tke_avn                               ! recompute avt, avm, avmu, avmv and dissl (approximation)
@@ -971,5 +975,8 @@
      ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN   ! Create restart file
         !                                   ! -------------------
-        IF(lwp .AND. nprint > 0) WRITE(numout,*) '---- tke-rst ----'
+        IF(lwp .AND. nprint > 0) THEN
+           WRITE(numout,*) '---- tke-rst ----'
+           IF(lflush) CALL flush(numout)
+        ENDIF
         IF(nn_timing == 2)  CALL timing_start('iom_rstput')
         CALL iom_rstput( kt, nitrst, numrow, 'en'   , en     )
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 10774)
@@ -156,4 +156,5 @@
          IF(lwp) WRITE(numout,*) 
          IF(lwp) WRITE(numout,*) '          N Total power consumption by av_tide    : ztpc = ', ztpc * 1.e-12 ,'TW'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
        
@@ -310,4 +311,5 @@
          ztpc= rau0 * ztpc / ( rn_me * rn_tfe_itf )
          IF(lwp) WRITE(numout,*) '          N Total power consumption by zavt_itf: ztpc = ', ztpc * 1.e-12 ,'TW'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
@@ -401,4 +403,5 @@
          WRITE(numout,*) '      ITF specific parameterisation         = ', ln_tmx_itf
          WRITE(numout,*) '      ITF tidal dissipation efficiency      = ', rn_tfe_itf
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -468,4 +471,5 @@
          WRITE(numout,*) 
          WRITE(numout,*) '          Total power consumption of the tidally driven part of Kz : ztpc = ', ztpc * 1.e-12 ,'TW'
+         IF(lflush) CALL flush(numout)
 
 
@@ -497,4 +501,5 @@
          END DO
          WRITE(numout,*) '          Min de zkz ', ztpc, ' Max = ', maxval(zkz(:,:) )
+         IF(lflush) CALL flush(numout)
 
          DO jk = 2, jpkm1
@@ -516,4 +521,5 @@
          ztpc= rau0 * 1/(rn_tfe * rn_me) * ztpc
          WRITE(numout,*) '          2 Total power consumption of the tidally driven part of Kz : ztpc = ', ztpc * 1.e-12 ,'TW'
+         IF(lflush) CALL flush(numout)
 
          DO jk = 1, jpk
@@ -528,4 +534,5 @@
             WRITE(numout,*) '            N2 min - jk= ', jk,'   ', ze_z * 1.e4,' cm2/s min= ',ztpc*1.e4,   &
                &       'max= ', MAXVAL(zav_tide(:,:,jk) )*1.e4, ' cm2/s'
+            IF(lflush) CALL flush(numout)
          END DO
 
@@ -533,4 +540,6 @@
          WRITE(numout,*) 
          WRITE(numout,*) '          Initial profile of tidal vertical mixing'
+         IF(lflush) CALL flush(numout)
+
          DO jk = 1, jpk
             DO jj = 1,jpj
@@ -543,4 +552,5 @@
             WRITE(numout,*) '                jk= ', jk,'   ', ze_z * 1.e4,' cm2/s'
          END DO
+         IF(lflush) CALL flush(numout)
          DO jk = 1, jpk
             zkz(:,:) = az_tmx(:,:,jk) /rn_n2min
@@ -551,4 +561,5 @@
                &       'max= ', MAXVAL(zkz)*1.e4, ' cm2/s'
          END DO
+         IF(lflush) CALL flush(numout)
          !
       ENDIF
@@ -862,4 +873,5 @@
             WRITE(numout,*)
             WRITE(numout,*) '      Total power consumption by av_wave: ztpc =  ', ztpc * 1.e-12_wp, 'TW'
+            IF(lflush) CALL flush(numout)
          ENDIF
       ENDIF
@@ -983,4 +995,5 @@
          WRITE(numout,*) '      Variable (T) or constant (F) mixing efficiency            = ', ln_mevar
          WRITE(numout,*) '      Differential internal wave-driven mixing (T) or not (F)   = ', ln_tsdiff
+         IF(lflush) CALL flush(numout)
       ENDIF
       
@@ -995,4 +1008,5 @@
          WRITE(numout,*) '   Force the background value applied to avm & avt in TKE to be everywhere ',   &
             &               'the viscous molecular value & a very small diffusive value, resp.'
+         IF(lflush) CALL flush(numout)
       ENDIF
       
@@ -1042,4 +1056,5 @@
          WRITE(numout,*) '      Pycnocline-intensifed wave-breaking energy: ', zpyc * 1.e-12_wp, 'TW'
          WRITE(numout,*) '      Critical slope wave-breaking energy:        ', zcri * 1.e-12_wp, 'TW'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 10774)
@@ -250,5 +250,5 @@
       NAMELIST/namctl/ ln_ctl  ,sn_cfctl, nn_print, nn_ictls, nn_ictle,   &
          &             nn_isplt, nn_jsplt, nn_jctls, nn_jctle,   &
-         &             nn_bench, nn_timing
+         &             nn_bench, nn_timing, ln_flush
       NAMELIST/namcfg/ cp_cfg, cp_cfz, jp_cfg, jpidta, jpjdta, jpkdta, jpiglo, jpjglo, &
          &             jpizoom, jpjzoom, jperio, ln_use_jattr
@@ -296,4 +296,5 @@
 #endif
       nprint    = nn_print          ! convert DOCTOR namelist names into OLD names
+      lflush    = ln_flush          ! convert namelist variable to model variable
       !do it here because output.namelist.dyn is opened before nprint was set earlier
       !
@@ -405,4 +406,5 @@
          END DO
          WRITE(numout,cform_aaa)                                         ! Flag AAAAAAA
+         IF(lflush) CALL flush(numout)
          !
       ENDIF
@@ -510,4 +512,5 @@
       IF( lk_asminc     )   CALL asm_inc_init   ! Initialize assimilation increments
       IF(lwp) WRITE(numout,*) 'Euler time step switch is ', neuler
+      IF(lwp .AND. lflush) CALL flush(numout)
       
       IF (nstop > 0) THEN
@@ -546,4 +549,5 @@
          WRITE(numout,*) '                              sn_cfctl%ptimincr  = ', sn_cfctl%ptimincr 
          WRITE(numout,*) '      level of print                  nn_print   = ', nn_print
+         WRITE(numout,*) '      flush numout/stat               ln_flush   = ', ln_flush
          WRITE(numout,*) '      Start i indice for SUM control  nn_ictls   = ', nn_ictls
          WRITE(numout,*) '      End i indice for SUM control    nn_ictle   = ', nn_ictle
@@ -554,4 +558,5 @@
          WRITE(numout,*) '      benchmark parameter (0/1)       nn_bench   = ', nn_bench
          WRITE(numout,*) '      timing activated    (0/1)       nn_timing  = ', nn_timing
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -581,4 +586,5 @@
          WRITE(numout,*) '      lateral cond. type (between 0 and 6) jperio = ', jperio   
          WRITE(numout,*) '      use file attribute if exists as i/p j-start ln_use_jattr = ', ln_use_jattr
+         IF(lflush) CALL flush(numout)
       ENDIF
       !                             ! Parameter control
@@ -596,4 +602,5 @@
          IF(lwp) WRITE(numout,*)'          - The total number of processors over which the'
          IF(lwp) WRITE(numout,*)'            print control will be done is ijsplt : ', ijsplt
+         IF(lwp .AND. lflush) CALL flush(numout)
          !
          !                              ! indices used for the SUM control
@@ -767,4 +774,5 @@
          WRITE (numout, *) 'WARNING: factorisation of number of PEs failed'
          WRITE (numout, *) '       : using grid of ',num_pes,' x 1'
+         IF(lflush) CALL flush(numout)
          jpnj = 1
          jpni = num_pes
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/stpctl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/stpctl.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/stpctl.F90	(revision 10774)
@@ -71,4 +71,5 @@
          WRITE(numout,*) 'stp_ctl : time-stepping control'
          WRITE(numout,*) '~~~~~~~'
+         IF(lflush) CALL flush(numout)
          ! open time.step file with special treatment for SAS
          IF ( nn_components == jp_iam_sas ) THEN
@@ -99,5 +100,8 @@
       IF( lk_mpp )   CALL mpp_max( zumax )                 ! max over the global domain
       !
-      IF( ll_colruns )   WRITE(numout,*) ' ==>> time-step= ',kt,' abs(U) max: ', zumax
+      IF( ll_colruns )   THEN
+         WRITE(numout,*) ' ==>> time-step= ',kt,' abs(U) max: ', zumax
+         IF(lflush) CALL flush(numout)
+      ENDIF
       !
       IF( zumax > 20.e0 ) THEN
@@ -117,4 +121,5 @@
             WRITE(numout,*)
             WRITE(numout,*) '          output of last fields in numwso'
+            IF(lflush) CALL flush(numout)
          ENDIF
          kindic = -3
@@ -133,5 +138,8 @@
       IF( lk_mpp )   CALL mpp_min( zsmin )                ! min over the global domain
       !
-      IF( MOD( kt, nwrite ) == 1 .AND. lwp )   WRITE(numout,*) ' ==>> time-step= ',kt,' SSS min:', zsmin
+      IF( MOD( kt, nwrite ) == 1 .AND. lwp )   THEN
+         WRITE(numout,*) ' ==>> time-step= ',kt,' SSS min:', zsmin
+         IF(lflush) CALL flush(numout)
+      ENDIF
       !
       IF( zsmin < 0.) THEN 
@@ -188,4 +196,5 @@
             WRITE(numout,9600) kt, ztmax, ii, ij
             WRITE(numout,*) 'stp_ctl:tracer anomaly: ***** END OF WARNING *****'
+            IF(lflush) CALL flush(numout)
          ENDIF
       ENDIF
@@ -205,4 +214,5 @@
             WRITE(numout,9700) kt, ztmin, ii, ij
             WRITE(numout,*) 'stp_ctl:tracer anomaly: ***** END OF WARNING *****'
+            IF(lflush) CALL flush(numout)
          ENDIF
       ENDIF
@@ -218,5 +228,8 @@
       IF( lk_dynspg_flt ) THEN      ! elliptic solver statistics (if required)
          !
-         IF(ll_wrtruns) WRITE(numsol,9200) kt, niter, res, SQRT(epsr)/eps       ! Solver
+         IF(ll_wrtruns) THEN
+            WRITE(numsol,9200) kt, niter, res, SQRT(epsr)/eps       ! Solver
+            IF(lflush) CALL flush(numsol)
+         ENDIF
          !
          IF( kindic < 0 .AND. zsmin > 0.e0 .AND. zumax <= 20.e0 ) THEN   ! create a abort file if problem found 
@@ -228,4 +241,5 @@
                WRITE(numout,*) ' stpctl: output of last fields'
                WRITE(numout,*) ' ======  '
+               IF(lflush) CALL flush(numout)
             ENDIF
          ENDIF
@@ -241,4 +255,5 @@
          !
             WRITE(numsol,9300) kt, zssh2, zumax, zsmin      ! ssh statistics
+            IF(lflush) CALL flush(numsol)
          ENDIF
          !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/trc_oce.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/trc_oce.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/trc_oce.F90	(revision 10774)
@@ -115,4 +115,5 @@
          WRITE(numout,*) 'trc_oce_rgb : Initialisation of the optical look-up table'
          WRITE(numout,*) '~~~~~~~~~~~ '
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -184,4 +185,5 @@
       r_si2 = 1.e0 / zrgb(2, 1)        ! blue with the smallest chlorophyll concentration)
       IF(lwp) WRITE(numout,*) '      RGB longest depth of extinction    r_si2 = ', r_si2
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
       DO jc = 1, 61                         ! check
@@ -222,4 +224,5 @@
          WRITE(numout,*) ' ~~~~~~~~~~~~~~~~'
          WRITE(numout,*) 
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -229,4 +232,5 @@
          irgb = NINT( 41 + 20.* LOG10( zchl ) + 1.e-15 )   
          IF(lwp) WRITE(numout,*) '    jc =', jc, '  Chl = ', zchl, '  irgb = ', irgb  
+         IF(lwp .AND. lflush) CALL flush(numout)
          IF( irgb /= jc ) THEN  
             IF(lwp) WRITE(numout,*) '    jc =', jc, '  Chl = ', zchl, '  Chl class = ', irgb
@@ -238,4 +242,5 @@
       r_si2 = 1.e0 / prgb(1, 1)      ! blue with the smallest chlorophyll concentration)
       IF(lwp) WRITE(numout,*) '      RGB longest depth of extinction    r_si2 = ', r_si2
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
    END SUBROUTINE trc_oce_rgb_read
